From: Kulikov Vasiliy <segooon@gmail.com>
To: Kernel Janitors <kernel-janitors@vger.kernel.org>
Cc: Julia Lawall <julia@diku.dk>,
Gilles Muller <Gilles.Muller@lip6.fr>,
Nicolas Palix <npalix@diku.dk>, Michal Marek <mmarek@suse.cz>,
Sam Ravnborg <sam@ravnborg.org>,
Joerg Roedel <joerg.roedel@amd.com>,
cocci@diku.dk, linux-kernel@vger.kernel.org
Subject: [PATCH] coccicheck: use $KBUILD_EXTMOD when available
Date: Sat, 03 Jul 2010 15:20:34 +0000 [thread overview]
Message-ID: <1278170438-8136-1-git-send-email-segooon@gmail.com> (raw)
Use $KBUILD_EXTMOD instead of $srctree when the latter is not null
to use make M=somedir.
Signed-off-by: Kulikov Vasiliy <segooon@gmail.com>
---
scripts/coccicheck | 8 +++++++-
1 files changed, 7 insertions(+), 1 deletions(-)
diff --git a/scripts/coccicheck b/scripts/coccicheck
index b8bcf1f..7d66a55 100755
--- a/scripts/coccicheck
+++ b/scripts/coccicheck
@@ -1,5 +1,11 @@
#!/bin/sh
+if [ -n "$KBUILD_EXTMOD" ]; then
+ CHECK_DIR="$KBUILD_EXTMOD"
+else
+ CHECK_DIR="$srctree"
+fi
+
SPATCH="`which ${SPATCH:=spatch}`"
if [ "$C" = "1" -o "$C" = "2" ]; then
@@ -64,7 +70,7 @@ coccinelle () {
echo ' http://coccinelle.lip6.fr/'
echo ''
- $SPATCH -D $MODE $FLAGS -sp_file $COCCI $OPT -dir $srctree || exit 1
+ $SPATCH -D $MODE $FLAGS -sp_file $COCCI $OPT -dir $CHECK_DIR || exit 1
else
$SPATCH -D $MODE $FLAGS -sp_file $COCCI $OPT $OPTIONS || exit 1
fi
--
1.7.0.4
next reply other threads:[~2010-07-03 15:20 UTC|newest]
Thread overview: 6+ messages / expand[flat|nested] mbox.gz Atom feed top
2010-07-03 15:20 Kulikov Vasiliy [this message]
2010-07-03 19:49 ` [PATCH] coccicheck: use $KBUILD_EXTMOD when available Nicolas Palix
2010-07-04 8:41 ` Kulikov Vasiliy
2010-07-07 11:04 ` Michal Marek
2010-07-07 12:22 ` Nicolas Palix
2010-07-05 12:48 ` Nicolas Palix
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1278170438-8136-1-git-send-email-segooon@gmail.com \
--to=segooon@gmail.com \
--cc=Gilles.Muller@lip6.fr \
--cc=cocci@diku.dk \
--cc=joerg.roedel@amd.com \
--cc=julia@diku.dk \
--cc=kernel-janitors@vger.kernel.org \
--cc=linux-kernel@vger.kernel.org \
--cc=mmarek@suse.cz \
--cc=npalix@diku.dk \
--cc=sam@ravnborg.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox